Auth
POST
/v2/Payment/AuthAuth (Pre-Authorization) reserves funds on a cardholder's account without capturing the transaction. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount*
numberCart
Name*
stringValue*
numberName*
stringValue*
numberName*
stringPrice*
numberUnitPrice
numberQuantity*
numberAdditionalInfo
stringName*
stringValue*
numberName
stringName
stringPrice
numberQuantity
numberPaymentType*
enumReferenceId*
stringPrintReceipt
enumGetReceipt
enumMerchantNumber
numberInvoiceNumber
stringCaptureSignature
booleanGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomerEmail
stringCustomerMobile
stringPOST/v2/Payment/Auth
1curl --location 'https://test.spinpos.net/v2/Payment/Auth' \
2--header 'Content-Type: application/json' \
3--data '{
4 "Amount": 1,
5 "Cart": {
6 "Amounts": [
7 {
8 "Name": "",
9 "Value": ""
10 }
11 ],
12 "CashPrices": [
13 {
14 "Name": "",
15 "Value": ""
16 }
17 ],
18 "Items": [
19 {
20 "Name": "",
21 "Price": "",
22 "UnitPrice": "",
23 "Quantity": "",
24 "AdditionalInfo": "",
25 "CustomInfos": [
26 {
27 "Name": "",
28 "Value": ""
29 }
30 ],
31 "Modifiers": [
32 {
33 "Name": "",
34 "Options": [
35 {
36 "Name": "",
37 "Price": "",
38 "Quantity": ""
39 }
40 ]
41 }
42 ]
43 }
44 ]
45 },
46 "PaymentType": "Credit",
47 "ReferenceId": "0122dcfa7829",
48 "PrintReceipt": "No",
49 "GetReceipt": "No",
50 "MerchantNumber": "",
51 "InvoiceNumber": "",
52 "CaptureSignature": false,
53 "GetExtendedData": true,
54 "IsReadyForIS": false,
55 "CallbackInfo": {
56 "Url": ""
57 },
58 "ReconId": "",
59 "IsvId": "",
60 "Tpn": "",
61 "RegisterId": "",
62 "Authkey": "",
63 "SPInProxyTimeout": "",
64 "CustomFields": {
65 "CustomerEmail": "sai@gmail.com",
66 "CustomerMobile": "+15418996990"
67 }
68}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
}
}